Commit a664d738 authored by Ian Lynagh's avatar Ian Lynagh

Work around Solaris's grep not supporting -q

parent 26cc6e39
......@@ -1299,8 +1299,9 @@ AC_OUTPUT
# $(eval ...) inside conditionals causes errors
# with make 3.80, so warn the user if it looks like they're about to
# try to use it.
# We would use "grep -q" here, but Solaris's grep doesn't support it.
checkMake380() {
if $1 --version 2>&1 | head -1 | grep -q 'GNU Make 3\.80'
if $1 --version 2>&1 | head -1 | grep 'GNU Make 3\.80' > /dev/null
then
echo
echo "WARNING: It looks like \"$1\" is GNU make 3.80."
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment